local version = "0.0.6"
--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Node definitions
--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- wool 
-- 
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
minetest.register_node("animalmaterials:wool_white", {
	description = "Wool (white)",
	tile_images = {"animalmaterials_wool_white.png"},
	material = {
		diggability = "normal",
		weight = 0,
		crackiness = 0,
		crumbliness = 0,
		cuttability = 0,
		flammability = 0,
	},
})
minetest.register_node("animalmaterials:wool_grey", {
	description = "Wool (grey)",
	tile_images = {"animalmaterials_wool_grey.png"},
	material = {
		diggability = "normal",
		weight = 0,
		crackiness = 0,
		crumbliness = 0,
		cuttability = 0,
		flammability = 0,
	},
})
minetest.register_node("animalmaterials:wool_brown", {
	description = "Wool (grey)",
	tile_images = {"animalmaterials_wool_grey.png"},
	material = {
		diggability = "normal",
		weight = 0,
		crackiness = 0,
		crumbliness = 0,
		cuttability = 0,
		flammability = 0,
	},
})
minetest.register_node("animalmaterials:wool_black", {
	description = "Wool (grey)",
	tile_images = {"animalmaterials_wool_black.png"},
	material = {
		diggability = "normal",
		weight = 0,
		crackiness = 0,
		crumbliness = 0,
		cuttability = 0,
		flammability = 0,
	},
})

minetest.register_craft({
    type = "fuel",
    recipe = "animalmaterials:wool_black",
    burntime = 2,
})

minetest.register_craft({
    type = "fuel",
    recipe = "animalmaterials:wool_white",
    burntime = 2,
})

minetest.register_craft({
    type = "fuel",
    recipe = "animalmaterials:wool_grey",
    burntime = 2,
})

minetest.register_craft({
    type = "fuel",
    recipe = "animalmaterials:wool_brown",
    burntime = 2,
})

--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Item definitions
--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- scissors
--
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
minetest.register_craftitem("animalmaterials:scissors", {
	description = "scissors",
	image = "animalmaterials_scissors.png",
})
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- lasso
--
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
minetest.register_craftitem("animalmaterials:lasso", {
	description = "Lasso",
	image = "animalmaterials_lasso.png",
})
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- net
--
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
minetest.register_craftitem("animalmaterials:net", {
	description = "Net",
	image = "animalmaterials_net.png",
})
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- raw meat
--
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
minetest.register_craftitem("animalmaterials:meat_raw", {
	description = "Raw meat",
	image = "animalmaterials_meat_raw.png",
	on_use = minetest.item_eat(1)
})
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- feather
--
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
minetest.register_craftitem("animalmaterials:feather", {
	description = "Feather",
	image = "animalmaterials_feather.png"
})
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- milk
--
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
minetest.register_craftitem("animalmaterials:milk", {
	description = "Milk",
	image = "animalmaterials_milk.png",
	on_use = minetest.item_eat(1)
})
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- glass
--
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
minetest.register_craftitem("animalmaterials:glass", {
	description = "Empty glass",
	image = "animalmaterials_glass.png"
})
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- egg
--
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
minetest.register_craftitem("animalmaterials:egg", {
	description = "Egg",
	image = "animalmaterials_egg.png"
})

minetest.register_craftitem("animalmaterials:egg_big", {
	description = "Egg (big)",
	image = "animalmaterials_egg_big.png"
})
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- bone
--
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
minetest.register_craftitem("animalmaterials:bone", {
	description = "Bone",
	image = "animalmaterials_bone.png"
})
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- scale
--
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
minetest.register_craftitem("animalmaterials:scale_golden", {
	description = "Scale (golden)",
	image = "animalmaterials_scale_golden.png"
})
minetest.register_craftitem("animalmaterials:scale_white", {
	description = "Scale (white)",
	image = "animalmaterials_scale_white.png"
})
minetest.register_craftitem("animalmaterials:scale_grey", {
	description = "Scale (grey)",
	image = "animalmaterials_scale_grey.png"
})
minetest.register_craftitem("animalmaterials:scale_blue", {
	description = "Scale (blue)",
	image = "animalmaterials_scale_blue.png"
})

print("animalmaterials mod version " .. version .. " loaded")
